Skip to main content
GET
/
node-apps
/
{node_app_id}
/
versions
List runnable node app versions
curl --request GET \
  --url https://api.krea.ai/node-apps/{node_app_id}/versions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "author_id": "<string>",
      "workspace_id": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "scope": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "version": 123,
      "version_created_at": "<string>",
      "username": "<string>",
      "example_outputs": [
        "<string>"
      ],
      "input_openapi_schema": {
        "type": "<string>",
        "properties": {},
        "required": [
          "<string>"
        ]
      },
      "output_openapi_schema": {
        "type": "<string>",
        "properties": {},
        "required": [
          "<string>"
        ]
      },
      "node_app_version_id": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

node_app_id
string
required

Node app ID

Query Parameters

limit
integer

Number of items to return (1-1000, default: 100)

Required range: 1 <= x <= 1000
cursor
string<date-time>

Cursor for pagination

Response

Runnable node app versions

items
object[]
required
next_cursor
string | null
required